Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882569 - CNO: Replacing masters doesn't work for ovn-kubernetes 4.4
Summary: CNO: Replacing masters doesn't work for ovn-kubernetes 4.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Aniket Bhat
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1837953 1848066 1885675
Blocks: 1854072 1857455 1857462 1858712 1887462
TreeView+ depends on / blocked
 
Reported: 2020-09-25 02:31 UTC by Tim Rozet
Modified: 2021-02-24 15:22 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1837953
: 1887462 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:21:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 806 0 None closed Bug 1882569: Add support for OVN DB Management 2021-02-11 19:36:41 UTC
Github openshift ovn-kubernetes pull 294 0 None closed Bug 1882569: Update downstream Dockerfile for adding the ovndbchecker binary 2021-02-11 19:36:41 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:22:07 UTC

Comment 3 Ross Brattain 2020-10-12 02:01:01 UTC
can't verify CNO fix until the whole replace master procedure works, waiting on update to https://bugzilla.redhat.com/show_bug.cgi?id=1837953

moving back to Assigned.

Comment 4 Aniket Bhat 2020-10-12 14:30:02 UTC
Moving this to 4.7.0 and creating a 4.6.z backport bug.

Comment 5 Aniket Bhat 2020-10-12 19:00:42 UTC
CNO PR 806 along with openshift/ovn-k PR 306 should fix the issue.

Moving the status to ON_QA.

Comment 7 Ross Brattain 2020-10-22 02:09:40 UTC
Verified replacing masters works on GCP, AWS with 4.7.0-0.nightly-2020-10-21-001511

Comment 10 errata-xmlrpc 2021-02-24 15:21:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.